#pragma once

// Genode includes
#include <base/connection.h>

// gapfruit includes
#include <timestamp_session/client.h>

namespace Timestamp {

	using Genode::Env;

	struct Connection;
}

struct Timestamp::Connection : Genode::Connection<Session>, Session_client
{

	/**
	 * Constructor
	 */
	Connection(Env &env, char const *label = "") :
		Genode::Connection<Session> { env, session(env.parent(),
		                              "ram_quota=%ld, cap_quota=%ld, label=\"%s\"",
		                              DEFAULT_BUFFER_SIZE, CAP_QUOTA, label) },
		Session_client              { env.rm(), cap() }
	{ }
};

